## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# https://github.com/jefferyto/gedit-control-your-tabs/issues/21
%global debug_package %{nil}

%global appname controlyourtabs
%global uuid    com.thingsthemselves.gedit.plugins.%{appname}

Name:           gedit-control-your-tabs
Version:        0.5.1
Release:        %autorelease
Summary:        Gedit plugin to switch between document tabs using

License:        GPL-2.0-or-later
URL:            https://github.com/jefferyto/gedit-control-your-tabs
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  libappstream-glib
BuildRequires:  python3-devel

Requires:       gedit >= 3.12

Provides:       bundled(python-gtk-utils) = 0.2.0

%description
A gedit plugin to switch between document tabs using Ctrl+Tab / Ctrl+Shift+Tab
(most recently used order or tab row order) and Ctrl+PageUp / Ctrl+PageDown (tab
row order).


%prep
%autosetup -p1


%install
mkdir -p                %{buildroot}%{_libdir}/gedit/plugins
cp -a %{appname}        %{buildroot}%{_libdir}/gedit/plugins/
rm -r                   %{buildroot}%{_libdir}/gedit/plugins/%{appname}/schemas
rm -r                   %{buildroot}%{_libdir}/gedit/plugins/%{appname}/utils/.editorconfig
rm -r                   %{buildroot}%{_libdir}/gedit/plugins/%{appname}/utils/.gitattributes
rm -r                   %{buildroot}%{_libdir}/gedit/plugins/%{appname}/locale
mkdir -p                %{buildroot}%{_libdir}/gedit/plugins
cp -a %{appname}.plugin %{buildroot}%{_libdir}/gedit/plugins/
mkdir -p                %{buildroot}%{_datadir}/glib-2.0/schemas/
cp -a %{appname}/schemas/%{uuid}.gschema.xml %{buildroot}%{_datadir}/glib-2.0/schemas/

# Byte compiling
%py_byte_compile %{__python3} %{buildroot}%{_libdir}/gedit/plugins/%{appname}/

# Install metainfo
install -m 0644 -Dp data/%{uuid}.metainfo.xml %{buildroot}%{_metainfodir}/%{uuid}.metainfo.xml


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%license LICENSE
%doc README.md
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_libdir}/gedit/plugins/%{appname}
%{_libdir}/gedit/plugins/%{appname}.plugin
%{_metainfodir}/*.xml


%changelog
## START: Generated by rpmautospec
* Wed Feb 12 2025 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.1-3
- build: Revert noarch package build

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 01 2025 Packit <hello@packit.dev> - 0.5.1-1
- Update to 0.5.1 upstream release
- Resolves: rhbz#2335135

* Mon Dec 23 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-2
- build: Build as noarch package

* Fri Oct 25 2024 Packit <hello@packit.dev> - 0.5.0-1
- Update to 0.5.0 upstream release
- Resolves: rhbz#2321850

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Packit <hello@packit.dev> - 0.4.1-1
- Update to 0.4.1 upstream release
- Resolves: rhbz#2291008

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-5
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
